Subject: Re: bug#38156: 27.0.50; [PATCH] VC: ability to skip update buffers prompt

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 14 Nov 2019 06:55:58 +0100

Andrii Kolomoiets <[email-masked]> writes:

> The `update' argument of `vc-retrieve-tag' is ignored by git, hg and svn
> vc backends so the answer for "Update any affected buffers?" prompt
> doesn't matter.  This prompt can be omitted.

Would it be possible to make those backends respect the UPDATE argument
instead?  I had a quick peek at vc-cvs-retrieve-tag (which does respect
the argument), and it looks a bit painful, and I'm not sure whether it
looks that useful.

Anybody got an opinion?

I applied the patch anyway, because it provides a way to make the
backends say whether they support it or not, which seems generally
useful.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no